Get all periodic ZFS snapshot jobs
GET
/zfs/datasets/snapshot/periodic
const url = 'https://sylve.lan:8181/api/zfs/datasets/snapshot/periodic';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/zfs/datasets/snapshot/periodic \ --header 'Authorization: <Authorization>'Get all periodic ZFS snapshots jobs
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
createdAt
string
cronExpr
string
guid
string
id
integer
interval
integer
keepDaily
E.g., keep 7 daily
integer
keepHourly
GFS Retention
integer
keepLast
Count/Age Retention
integer
keepMonthly
E.g., keep 12 monthly
integer
keepWeekly
E.g., keep 4 weekly
integer
keepYearly
E.g., keep 3 yearly
integer
lastExecutedAt
string
lastRunAt
string
maxAgeDays
Simple only; e.g., 30 days
integer
nextRunAt
string
pool
string
prefix
string
recursive
boolean
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "createdAt": "example", "cronExpr": "example", "guid": "example", "id": 1, "interval": 1, "keepDaily": 1, "keepHourly": 1, "keepLast": 1, "keepMonthly": 1, "keepWeekly": 1, "keepYearly": 1, "lastExecutedAt": "example", "lastRunAt": "example", "maxAgeDays": 1, "nextRunAt": "example", "pool": "example", "prefix": "example", "recursive": true } ], "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}